Compute a nightly planner score and target recommendations.
curl --request GET \
--url https://api.nebyoulous.space/planner \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/planner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"date": "<string>",
"location": {
"lat": 123,
"lng": 123,
"label": "<string>"
},
"score": 123,
"summary": "<string>",
"conditions": [
{
"key": "<string>",
"label": "<string>",
"value": 123,
"score": 123,
"weight": 123,
"unit": "<string>"
}
],
"weather": {
"defaultWindowKey": "<string>",
"bucketHours": 123,
"windows": [
{
"key": "<string>",
"label": "<string>",
"start": "<string>",
"end": "<string>",
"durationHours": 123,
"score": 123,
"summary": "<string>",
"cloudCover": 123,
"windSpeed": 123,
"humidity": 123,
"cloudScore": 123,
"conditions": [
{
"key": "<string>",
"label": "<string>",
"value": 123,
"score": 123,
"weight": 123,
"unit": "<string>"
}
]
}
],
"hourly": [
{
"time": "<string>",
"cloudCover": 123,
"windSpeed": 123,
"humidity": 123
}
]
},
"moon": {
"phase": "<string>",
"illumination": 123,
"riseTime": "<string>",
"setTime": "<string>",
"aboveHorizonDuringDark": true
},
"darkness": {
"start": "<string>",
"end": "<string>",
"durationHours": 123
},
"targets": [
{
"name": "<string>",
"type": "<string>",
"ra": 123,
"dec": 123,
"magnitude": 123,
"sizeArcmin": 123,
"transitTime": "<string>",
"maxAltitude": 123,
"moonSeparation": 123,
"previouslyImaged": true,
"lastImagedDate": "<string>",
"score": 123,
"summary": "<string>",
"catalogId": "<string>"
}
],
"targetsEmptyReason": "no_catalog"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Planner
Compute a nightly planner score and target recommendations.
GET
/
planner
Compute a nightly planner score and target recommendations.
curl --request GET \
--url https://api.nebyoulous.space/planner \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/planner', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"date": "<string>",
"location": {
"lat": 123,
"lng": 123,
"label": "<string>"
},
"score": 123,
"summary": "<string>",
"conditions": [
{
"key": "<string>",
"label": "<string>",
"value": 123,
"score": 123,
"weight": 123,
"unit": "<string>"
}
],
"weather": {
"defaultWindowKey": "<string>",
"bucketHours": 123,
"windows": [
{
"key": "<string>",
"label": "<string>",
"start": "<string>",
"end": "<string>",
"durationHours": 123,
"score": 123,
"summary": "<string>",
"cloudCover": 123,
"windSpeed": 123,
"humidity": 123,
"cloudScore": 123,
"conditions": [
{
"key": "<string>",
"label": "<string>",
"value": 123,
"score": 123,
"weight": 123,
"unit": "<string>"
}
]
}
],
"hourly": [
{
"time": "<string>",
"cloudCover": 123,
"windSpeed": 123,
"humidity": 123
}
]
},
"moon": {
"phase": "<string>",
"illumination": 123,
"riseTime": "<string>",
"setTime": "<string>",
"aboveHorizonDuringDark": true
},
"darkness": {
"start": "<string>",
"end": "<string>",
"durationHours": 123
},
"targets": [
{
"name": "<string>",
"type": "<string>",
"ra": 123,
"dec": 123,
"magnitude": 123,
"sizeArcmin": 123,
"transitTime": "<string>",
"maxAltitude": 123,
"moonSeparation": 123,
"previouslyImaged": true,
"lastImagedDate": "<string>",
"score": 123,
"summary": "<string>",
"catalogId": "<string>"
}
],
"targetsEmptyReason": "no_catalog"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Query Parameters
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Pattern:
^\d{4}-\d{2}-\d{2}$Required range:
1 <= x <= 4Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
no_catalog, none_in_window